Mochinov

Untitled

Jun 23rd, 2021
823
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Watching for file changes with StatReloader
  2. Exception in thread Thread-1:
  3. Traceback (most recent call last):
  4.   File "/home/ubuntu/.pyenv/versions/3.7.0/lib/python3.7/threading.py", line 917, in _bootstrap_inner
  5.     self.run()
  6.   File "/home/ubuntu/.pyenv/versions/3.7.0/lib/python3.7/threading.py", line 865, in run
  7.     self._target(*self._args, **self._kwargs)
  8.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/utils/autoreload.py", line 54, in wrapper
  9.     fn(*args, **kwargs)
  10.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/core/management/commands/runserver.py", line 109, in inner_run
  11.     autoreload.raise_last_exception()
  12.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/utils/autoreload.py", line 77, in raise_last_exception
  13.     raise _exception[0](_exception[1]).with_traceback(_exception[2])
  14.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/utils/autoreload.py", line 54, in wrapper
  15.     fn(*args, **kwargs)
  16.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/__init__.py", line 24, in setup
  17.     apps.populate(settings.INSTALLED_APPS)
  18.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/apps/registry.py", line 122, in populate
  19.     app_config.ready()
  20.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/contrib/admin/apps.py", line 24, in ready
  21.     self.module.autodiscover()
  22.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/contrib/admin/__init__.py", line 26, in autodiscover
  23.     autodiscover_modules('admin', register_to=site)
  24.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/utils/module_loading.py", line 47, in autodiscover_modules
  25.     import_module('%s.%s' % (app_config.name, module_to_search))
  26.   File "/home/ubuntu/.pyenv/versions/3.7.0/lib/python3.7/importlib/__init__.py", line 127, in import_module
  27.     return _bootstrap._gcd_import(name[level:], package, level)
  28.   File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  29.   File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  30.   File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  31.   File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  32.   File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  33.   File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  34.   File "/home/ubuntu/project/aqmt/apps/cycle_registartion/admin.py", line 7, in <module>
  35.     from django_reverse_admin import ReverseModelAdmin
  36. ModuleNotFoundError: No module named 'django_reverse_admin'
  37.  
  38. Traceback (most recent call last):
  39.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/apps/registry.py", line 155, in get_app_config
  40.     return self.app_configs[app_label]
  41. KeyError: 'users'
  42.  
  43. During handling of the above exception, another exception occurred:
  44.  
  45. Traceback (most recent call last):
  46.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/contrib/auth/__init__.py", line 165, in get_user_model
  47.     return django_apps.get_model(settings.AUTH_USER_MODEL, require_ready=False)
  48.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/apps/registry.py", line 205, in get_model
  49.     app_config = self.get_app_config(app_label)
  50.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/apps/registry.py", line 162, in get_app_config
  51.     raise LookupError(message)
  52. LookupError: No installed app with label 'users'.
  53.  
  54. During handling of the above exception, another exception occurred:
  55.  
  56. Traceback (most recent call last):
  57.   File "manage.py", line 31, in <module>
  58.     execute_from_command_line(sys.argv)
  59.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/core/management/__init__.py", line 381, in execute_from_command_line
  60.     utility.execute()
  61.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/core/management/__init__.py", line 375, in execute
  62.     self.fetch_command(subcommand).run_from_argv(self.argv)
  63.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/core/management/base.py", line 323, in run_from_argv
  64.     self.execute(*args, **cmd_options)
  65.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/core/management/commands/runserver.py", line 60, in execute
  66.     super().execute(*args, **options)
  67.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/core/management/base.py", line 364, in execute
  68.     output = self.handle(*args, **options)
  69.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/core/management/commands/runserver.py", line 95, in handle
  70.     self.run(**options)
  71.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/core/management/commands/runserver.py", line 102, in run
  72.     autoreload.run_with_reloader(self.inner_run, **options)
  73.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/utils/autoreload.py", line 579, in run_with_reloader
  74.     start_django(reloader, main_func, *args, **kwargs)
  75.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/utils/autoreload.py", line 564, in start_django
  76.     reloader.run(django_main_thread)
  77.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/utils/autoreload.py", line 272, in run
  78.     get_resolver().urlconf_module
  79.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/utils/functional.py", line 80, in __get__
  80.     res = instance.__dict__[self.name] = self.func(instance)
  81.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/urls/resolvers.py", line 564, in urlconf_module
  82.     return import_module(self.urlconf_name)
  83.   File "/home/ubuntu/.pyenv/versions/3.7.0/lib/python3.7/importlib/__init__.py", line 127, in import_module
  84.     return _bootstrap._gcd_import(name[level:], package, level)
  85.   File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  86.   File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  87.   File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  88.   File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  89.   File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  90.   File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  91.   File "/home/ubuntu/project/aqmt/config/urls.py", line 29, in <module>
  92.     path('cycle/form/', include('cycle_registartion.urls')),
  93.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/urls/conf.py", line 34, in include
  94.     urlconf_module = import_module(urlconf_module)
  95.   File "/home/ubuntu/.pyenv/versions/3.7.0/lib/python3.7/importlib/__init__.py", line 127, in import_module
  96.     return _bootstrap._gcd_import(name[level:], package, level)
  97.   File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  98.   File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  99.   File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  100.   File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  101.   File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  102.   File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  103.   File "/home/ubuntu/project/aqmt/apps/cycle_registartion/urls.py", line 2, in <module>
  104.     from .views import *
  105.   File "/home/ubuntu/project/aqmt/apps/cycle_registartion/views.py", line 17, in <module>
  106.     from .forms import EducationForm, PassportForm, SelfDocsScansForm, OfferDocsForm
  107.   File "/home/ubuntu/project/aqmt/apps/cycle_registartion/forms.py", line 9, in <module>
  108.     User = get_user_model()
  109.   File "/home/ubuntu/.pyenv/versions/env/lib/python3.7/site-packages/django/contrib/auth/__init__.py", line 170, in get_user_model
  110.     "AUTH_USER_MODEL refers to model '%s' that has not been installed" % settings.AUTH_USER_MODEL
  111. django.core.exceptions.ImproperlyConfigured: AUTH_USER_MODEL refers to model 'users.User' that has not been installed
RAW Paste Data